Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005645 [DCSS] Upload: Graphics minor N/A 2012-05-06 11:49 2014-12-08 07:49
Reporter DuxOrbis View Status public  
Assigned To
Priority normal Resolution done  
Status closed   Product Branch 0.11 ancient branch
Summary 0005645: Sigmund Title Screen FIx
Description Originally by Omndra from:

0005056: Firemage Title screen
https://crawl.develz.org/mantis/view.php?id=5056 [^]

Did some cleaning up and finishing on the Sigmund title screen, I thought it needed to be more interesting, Sigmund needed to be proportioned better and I tried to follow the tile Sigmund as well as I could, as well as making him as fearsome and ominous as he deserves.
Additional Information
Tags No tags attached.
Attached Files png file icon DCSS+Sigmund+Final.png [^] (231,625 bytes) 2012-05-06 11:49
png file icon DCSS+Sigmund+Final+refixed.png [^] (238,556 bytes) 2012-05-12 02:59
png file icon DCSS+Sigmund+Final+original.png [^] (175,179 bytes) 2012-05-12 03:04
png file icon Sigmund2013.png [^] (67,936 bytes) 2013-05-30 06:39


png file icon Sigmund2013-2.png [^] (67,781 bytes) 2013-05-30 06:44


png file icon SigmundJune24.PNG [^] (75,753 bytes) 2013-06-25 08:00


png file icon SigmundLuminosity.PNG [^] (109,612 bytes) 2013-08-01 06:15

- Relationships

-  Notes
(0017983)
DuxOrbis (reporter)
2012-05-06 18:57
edited on: 2012-05-12 03:04

I'm seeing some artifacts of the edit now, after the fact, let me know if this needs to be cleaned up some more, I ran out of time.

For future knowledge how do I get the image upload to preview without clicking it here?

Edit:
Re-Fixed!

Additions:
-Better shading (better dimensional shadows around his body, shadow from scythe and arm, texture shadows to make his pants, belt and boots more interesting, darkened the scythe up a bit, lightened up his armor, )
-Smoothing the ethereal mist from Sigmund possibly sublimating the blood of his enemies or you know, EATING THEIR SOULS.
-Tailor for Sigmund: Made his bloomers fit into stockings to break up his legs a bit more, fixed the irregular belt shape to fit around his waist with a uniform width.

Edit 2:
Added original image for documentation

(0022835)
mumra (developer)
2013-05-26 05:09
edited on: 2013-05-26 05:10

Sorry this has been left so long without a response.

We're grateful for the contribution but in my opinion the quality of the image is still not nearly as good as our other title screens. I do somewhat prefer the shape and proportions, but the overall look is messy. There is a strange mix of blurry painted-style art, and sharp pixel graphics. The pixelly effects on scythe and skull don't look neat. There are also some obvious artefacts where the background has been edited to account for the rescaling.

If the reporter still wants to clean up this image I think it would be a lot of work, I would be inclined to recommend attempting something new from scratch.

(0022844)
DuxOrbis (reporter)
2013-05-26 06:23

Challenge accepted, I needed a reason to redo it, the new versions of DCSS are a good reason, as is the new tile for Sigmund. In fact the tile with the flame in his hand is what I'm going to do so it's no longer a shoehorned skull.
(0022926)
DuxOrbis (reporter)
2013-05-30 06:41
edited on: 2013-05-30 06:44

WIP Sigmund for critique. There is a little bit of cleanup to do, now would be the time for any major suggestions to finish it.

Edit: Fixed more things.

(0022963)
Galefury (updater)
2013-05-31 15:03

His upper body looks somewhat deformed, the arms are in weird positions. Also he has very long arms. They would go down to his knees when stretched downwards.

I'd prefer the fire on his hand to be bigger, it looks kind of harmless.

The blade of the scythe looks a bit weird. Note that scythes usually only have one sharp edge.

I really like the details on the armor and pants.
(0023294)
DuxOrbis (reporter)
2013-06-25 08:03
edited on: 2013-06-25 08:11

More WIP. I am afflicted with slow but it's getting polished. Need to fix his left arm a bit. Did a more animated fireball. If it looks silly it can be changed. More requests encouraged.

(0023612)
DuxOrbis (reporter)
2013-08-01 06:23
edited on: 2013-08-01 06:25

Ignore the double posted image, luminosity and luminosity2 are identical.

Fixes
-Better reflections and higher contrast between highlights and low lights
-Less bulky right pauldron, modifications to the bracers, battle damage and tarnish.
-No more spikes on scythe, thinner blade, blood dripping and pooling
-Luminosity effects for fire, golden chainmail and glowing eyes
-More realistic right hand

(0028033)
roctavian (developer)
2014-12-08 07:49

Closed.

- Issue History
Date Modified Username Field Change
2012-05-06 11:49 DuxOrbis New Issue
2012-05-06 11:49 DuxOrbis File Added: DCSS+Sigmund+Final.png
2012-05-06 18:49 DuxOrbis Issue Monitored: DuxOrbis
2012-05-06 18:57 DuxOrbis Note Added: 0017983
2012-05-06 19:08 DuxOrbis Note Edited: 0017983
2012-05-12 02:58 DuxOrbis Note Edited: 0017983
2012-05-12 02:59 DuxOrbis File Added: DCSS+Sigmund+Final+refixed.png
2012-05-12 03:04 DuxOrbis Note Edited: 0017983
2012-05-12 03:04 DuxOrbis File Added: DCSS+Sigmund+Final+original.png
2013-05-26 05:09 mumra Note Added: 0022835
2013-05-26 05:10 mumra Note Edited: 0022835
2013-05-26 06:23 DuxOrbis Note Added: 0022844
2013-05-30 06:39 DuxOrbis File Added: Sigmund2013.png
2013-05-30 06:41 DuxOrbis Note Added: 0022926
2013-05-30 06:44 DuxOrbis File Added: Sigmund2013-2.png
2013-05-30 06:44 DuxOrbis Note Edited: 0022926
2013-05-31 15:03 Galefury Note Added: 0022963
2013-06-25 08:00 DuxOrbis File Added: SigmundJune24.PNG
2013-06-25 08:03 DuxOrbis Note Added: 0023294
2013-06-25 08:11 DuxOrbis Note Edited: 0023294
2013-08-01 06:15 DuxOrbis File Added: SigmundLuminosity.PNG
2013-08-01 06:16 DuxOrbis File Added: SigmundLuminosity2.PNG
2013-08-01 06:23 DuxOrbis Note Added: 0023612
2013-08-01 06:24 DuxOrbis Note Edited: 0023612
2013-08-01 06:25 DuxOrbis Note Edited: 0023612
2013-08-01 11:40 Galefury File Deleted: SigmundLuminosity2.PNG
2014-12-08 07:49 roctavian Note Added: 0028033
2014-12-08 07:49 roctavian Status new => closed
2014-12-08 07:49 roctavian Resolution open => done
2014-12-08 07:49 roctavian Fixed in Branch => 0.16 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker